### Virtual Method

# Ide BuildSystem get_project_version

#### Declaration

    gchar*
    get_project_version (
      IdeBuildSystem* self
    )

#### Description

If the build system supports it, gets the project version as configured in the build system’s configuration files.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A string containing the project version.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| The value is a NUL terminated UTF-8 string.